Ir al contenido

Update envelope fields

POST
/envelope/field/update-many
curl --request POST \
--url https://app.legaldoc.com/api/v2/envelope/field/update-many \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "envelopeId": "example", "data": [ { "type": "SIGNATURE", "fieldMeta": { "type": "signature", "fontSize": 18, "overflow": "auto" }, "id": 1, "envelopeItemId": "example", "page": 1, "positionX": 1, "positionY": 1, "width": 1, "height": 1 } ] }'

Update multiple envelope fields for an envelope

Media typeapplication/json
object
envelopeId
required
string
data
required
Array
object
One of:
object
type
required
string
Allowed values: SIGNATURE
fieldMeta
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
default: 12 >= 8 <= 96
overflow
string
default: auto
Allowed values: auto horizontal vertical crop
type
required
string
Allowed values: signature
id
required
number
envelopeItemId
string
page
number
>= 1
positionX
number
<= 100
positionY
number
<= 100
width
number
<= 100
height
number
<= 100

Successful response

Media typeapplication/json
object
data
required
Array<object>
object
envelopeId
required
string
envelopeItemId
required
string
type
required
string
Allowed values: SIGNATURE FREE_SIGNATURE INITIALS NAME EMAIL DATE TEXT NUMBER RADIO CHECKBOX DROPDOWN
id
required
number
secondaryId
required
string
recipientId
required
number
page
required
number
positionX
required
positionY
required
width
required
height
required
customText
required
string
inserted
required
boolean
fieldMeta
required
One of:
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
default: 12 >= 8 <= 96
overflow
required
string
default: auto
Allowed values: auto horizontal vertical crop
type
required
string
Allowed values: signature
documentId
number | null
templateId
number | null
Example
{
"data": [
{
"type": "SIGNATURE",
"fieldMeta": {
"fontSize": 12,
"overflow": "auto",
"type": "signature"
}
}
]
}

Invalid input data

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}

Authorization not provided

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}

Insufficient access

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}

Internal server error

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}